Name:		nuvolaplayer
Version:	2.4.3
Release:	%mkrel 1
License:	LGPLv3+ and LGPLv2+ and BSD
Summary:	Cloud Music Integration for the Desktop
URL:		http://nuvolaplayer.fenryxo.cz/home.html
Group:		Sound
Source0:	https://launchpad.net/nuvola-player/2.4.x/%{version}/+download/%{name}-%{version}.tar.xz
#--------------------------------------------
BuildRequires: intltool
BuildRequires: %{_lib}atk1.0-devel
BuildRequires: %{_lib}cairo-devel
BuildRequires: %{_lib}gdk_pixbuf2.0_0-devel
BuildRequires: %{_lib}gee0.6-devel
BuildRequires: %{_lib}glib2.0-devel
BuildRequires: %{_lib}gstreamer1.0-devel
BuildRequires: %{_lib}gtk+3.0-devel
BuildRequires: %{_lib}json-glib-devel
BuildRequires: %{_lib}notify-devel
BuildRequires: %{_lib}pango1.0-devel
BuildRequires: %{_lib}soup-devel
BuildRequires: %{_lib}x11-devel
BuildRequires: librsvg
BuildRequires: vala
BuildRequires: waf
BuildRequires: webkitgtk3-devel
#--------------------------------------------
Requires:	glib-networking

%description
Nuvola Player runs a web interface of cloud music services in its own window
and provides integration with a Linux desktop (multimedia keys, system tray,
media player applets, dock menu, notifications and more).


%prep
%setup -q

# Use system waf to build
WAFVER=$(rpm -q --qf '%%{version}' waf)
rm -f waf
sed -i -e 's@WAFVERSION="1.7.6"@WAFVERSION="'${WAFVER}'"@g' waflib/Context.py


%build
waf configure --prefix=%{_prefix} --libdir=%{_libdir} --no-unity-quick-list --no-svg-optimization --with-gstreamer=1.0 --debug-symbols
xvfb-run waf build --prefix=%{_prefix} --libdir=%{_libdir} --skip-tests


%install
rm -rf %buildroot
waf install --prefix=%{_prefix} --libdir=%{_libdir} --destdir=%{buildroot}

ln -sf %{_libdir}/nuvolaplayer/nuvolaplayer.tsocks %{buildroot}%{_bindir}/%{name}


desktop-file-install --vendor="" \
  --remove-category="Application" \
  --remove-category="AudioVideo" \
  --remove-category="Player"\
  --add-category="X-MandrivaLinux-Multimedia-Sound" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*.desktop


%find_lang %{name}


%files -f %{name}.lang
%doc CHANGELOG COPYRIGHT licenses README
%{_bindir}/%{name}
%{_bindir}/%{name}-client
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_datadir}/icons/hicolor/*/apps/%{name}.svg
%{_datadir}/%{name}/
%{_datadir}/gnome-control-center/default-apps/nuvolaplayer.xml
%{_libdir}/%{name}/
%{_libdir}/libnuvolaplayerprivate.so
%{_libexecdir}/%{name}/
/usr/libexec/nuvolaplayer/webkitgtkframe

%clean
rm -rf %buildroot

%changelog
* Thu Nov 06 2014 bb <bb> 2.4.3-1pclos2014
- import into pclos

